Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcstp.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcstp.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcstp.F90	(revision 13727)
@@ -22,5 +22,5 @@
    USE sms_pisces,  ONLY : ln_check_mass
    !
-   USE prtctl_trc     ! Print control for debbuging
+   USE prtctl         ! Print control for debbuging
    USE iom            !
    USE in_out_manager !
@@ -37,4 +37,5 @@
    REAL(wp), DIMENSION(:,:,:), SAVE, ALLOCATABLE ::   qsr_arr   ! save qsr during TOP time-step
 
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 4.0 , NEMO Consortium (2018)
@@ -91,5 +92,5 @@
       IF(sn_cfctl%l_prttrc) THEN
          WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
-         CALL prt_ctl_trc_info(charout)
+         CALL prt_ctl_info( charout, cdcomp = 'top' )
       ENDIF
       !
@@ -200,5 +201,5 @@
             rsecfst = INT( zkt ) * rn_Dt
             IF(lwp) WRITE(numout,*) 'trc_qsr_mean:   qsr_mean read in the restart file at time-step rsecfst =', rsecfst, ' s '
-            CALL iom_get( numrtr, jpdom_autoglo, 'qsr_mean', qsr_mean, ldxios = lrtxios )   !  A mean of qsr
+            CALL iom_get( numrtr, jpdom_auto, 'qsr_mean', qsr_mean, ldxios = lrtxios )   !  A mean of qsr
             CALL iom_get( numrtr, 'nrdcy', zrec, ldxios = lrtxios )   !  Number of record per days
             IF( INT( zrec ) == nb_rec_per_day ) THEN
@@ -206,8 +207,8 @@
                   IF( jn <= 9 )  THEN
                     WRITE(cl1,'(i1)') jn
-                    CALL iom_get( numrtr, jpdom_autoglo, 'qsr_arr_'//cl1, qsr_arr(:,:,jn), ldxios = lrtxios )   !  A mean of qsr
+                    CALL iom_get( numrtr, jpdom_auto, 'qsr_arr_'//cl1, qsr_arr(:,:,jn), ldxios = lrtxios )   !  A mean of qsr
                   ELSE
                     WRITE(cl2,'(i2.2)') jn
-                    CALL iom_get( numrtr, jpdom_autoglo, 'qsr_arr_'//cl2, qsr_arr(:,:,jn), ldxios = lrtxios )   !  A mean of qsr
+                    CALL iom_get( numrtr, jpdom_auto, 'qsr_arr_'//cl2, qsr_arr(:,:,jn), ldxios = lrtxios )   !  A mean of qsr
                   ENDIF
               END DO
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcwri.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcwri.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/trcwri.F90	(revision 13727)
@@ -60,7 +60,9 @@
        CALL iom_put( "e3v_0", e3v_0(:,:,:) )
        !
+#if ! defined key_qco
        CALL iom_put( "e3t" , e3t(:,:,:,Kmm) )
        CALL iom_put( "e3u" , e3u(:,:,:,Kmm) )
        CALL iom_put( "e3v" , e3v(:,:,:,Kmm) )
+#endif 
        !
       ENDIF
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca025_like
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca025_like	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca025_like	(revision 13727)
@@ -15,6 +15,6 @@
 &namusr_def    !   User defined :   BENCH configuration: Flat bottom, beta-plane
 !-----------------------------------------------------------------------
-   nn_isize   =   1442     ! number of point in i-direction of global(local) domain if >0 (<0)  
-   nn_jsize   =   1207  !!  1050    ! number of point in j-direction of global(local) domain if >0 (<0)  
+   nn_isize   =   1440     ! number of point in i-direction of global(local) domain if >0 (<0)  
+   nn_jsize   =   1206  !!  1049    ! number of point in j-direction of global(local) domain if >0 (<0)  
    nn_ksize   =   75       ! total number of point in k-direction
    nn_perio   =   4        ! periodicity
@@ -30,5 +30,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-   nn_print    =    0      !  level of print (0 no extra print)
    ln_timing   = .false.   !  timing by routine write out in timing.output file
 /
@@ -78,6 +77,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF =F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF =F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF =F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF =F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca12_like
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca12_like	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca12_like	(revision 13727)
@@ -15,6 +15,6 @@
 &namusr_def    !   User defined :   BENCH configuration: Flat bottom, beta-plane
 !-----------------------------------------------------------------------
-   nn_isize   =   4322     ! number of point in i-direction of global(local) domain if >0 (<0)  
-   nn_jsize   =   3147     ! number of point in j-direction of global(local) domain if >0 (<0)  
+   nn_isize   =   4320     ! number of point in i-direction of global(local) domain if >0 (<0)  
+   nn_jsize   =   3146     ! number of point in j-direction of global(local) domain if >0 (<0)  
    nn_ksize   =   75       ! total number of point in k-direction
    nn_perio   =   4        ! periodicity
@@ -30,5 +30,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-   nn_print    =    0      !  level of print (0 no extra print)
    ln_timing   = .false.   !  timing by routine write out in timing.output file
 /
@@ -78,6 +77,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF =F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF =F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF =F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF =F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca1_like
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca1_like	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/EXPREF/namelist_cfg_orca1_like	(revision 13727)
@@ -15,6 +15,6 @@
 &namusr_def    !   User defined :   BENCH configuration: Flat bottom, beta-plane
 !-----------------------------------------------------------------------
-   nn_isize   =   362      ! number of point in i-direction of global(local) domain if >0 (<0)  
-   nn_jsize   =   332      ! number of point in j-direction of global(local) domain if >0 (<0)  
+   nn_isize   =   360      ! number of point in i-direction of global(local) domain if >0 (<0)  
+   nn_jsize   =   331      ! number of point in j-direction of global(local) domain if >0 (<0)  
    nn_ksize   =   75       ! total number of point in k-direction
    nn_perio   =   6        ! periodicity
@@ -30,5 +30,4 @@
 &namctl        !   Control prints                                       (default: OFF)
 !-----------------------------------------------------------------------
-   nn_print    =    0      !  level of print (0 no extra print)
    ln_timing   = .false.   !  timing by routine write out in timing.output file
 /
@@ -78,6 +77,6 @@
 !!                                                                    !!
 !!   namdrg        top/bottom drag coefficient                          (default: NO selection)
-!!   namdrg_top    top    friction                                      (ln_OFF =F & ln_isfcav=T)
-!!   namdrg_bot    bottom friction                                      (ln_OFF =F)
+!!   namdrg_top    top    friction                                      (ln_drg_OFF =F & ln_isfcav=T)
+!!   namdrg_bot    bottom friction                                      (ln_drg_OFF =F)
 !!   nambbc        bottom temperature boundary condition                (default: OFF)
 !!   nambbl        bottom boundary layer scheme                         (default: OFF)
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_hgr.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_hgr.F90	(revision 13727)
@@ -61,7 +61,7 @@
       REAL(wp), DIMENSION(:,:), INTENT(out) ::   pe1e2u, pe1e2v               ! u- & v-surfaces (if reduction in strait)   [m2]
       !
-      INTEGER  ::   ji, jj   ! dummy loop indices
+      INTEGER  ::   ji, jj         ! dummy loop indices
       REAL(wp) ::   zres, zf0
-      REAL(wp) ::   zti, zui, ztj, zvj   ! local scalars
+      REAL(wp) ::   zti, ztj       ! local scalars
       !!-------------------------------------------------------------------------------
       !
@@ -72,21 +72,20 @@
       IF(lwp) WRITE(numout,*) '          given by rn_dx and rn_dy' 
       !
-      !                          
       ! Position coordinates (in grid points)
       !                          ==========
-      DO_2D_11_11
+      DO_2D( 1, 1, 1, 1 )
          
-         zti = REAL( ji - 1 + nimpp - 1, wp )          ;  ztj = REAL( jj - 1 + njmpp - 1, wp )
-         zui = REAL( ji - 1 + nimpp - 1, wp ) + 0.5_wp ;  zvj = REAL( jj - 1 + njmpp - 1, wp ) + 0.5_wp
+         zti = REAL( mig0_oldcmp(ji) - 1, wp )   ! start at i=0 in the global grid without halos
+         ztj = REAL( mjg0_oldcmp(jj) - 1, wp )   ! start at j=0 in the global grid without halos
          
          plamt(ji,jj) = zti
-         plamu(ji,jj) = zui
+         plamu(ji,jj) = zti + 0.5_wp
          plamv(ji,jj) = zti
-         plamf(ji,jj) = zui
+         plamf(ji,jj) = zti + 0.5_wp
          
          pphit(ji,jj) = ztj
-         pphiv(ji,jj) = zvj
          pphiu(ji,jj) = ztj
-         pphif(ji,jj) = zvj
+         pphiv(ji,jj) = ztj + 0.5_wp
+         pphif(ji,jj) = ztj + 0.5_wp
 
       END_2D
@@ -109,5 +108,5 @@
       kff = 1                       !  indicate not to compute Coriolis parameter afterward
       !
-      zf0   = 2._wp * omega * SIN( rad * 45 )   ! constant coriolis factor corresponding to 45°N
+      zf0 = 2._wp * omega * SIN( rad * 45 )   ! constant coriolis factor corresponding to 45°N
       pff_f(:,:) = zf0
       pff_t(:,:) = zf0
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_istate.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_istate.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_istate.F90	(revision 13727)
@@ -57,4 +57,5 @@
       REAL(wp) ::   zfact
       INTEGER  ::   ji, jj, jk
+      INTEGER  ::   igloi, igloj   ! to be removed in the future, see comment bellow
       !!----------------------------------------------------------------------
       !
@@ -63,7 +64,16 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~   '
       !
-      ! define unique value on each point. z2d ranging from 0.05 to -0.05
-      DO_2D_11_11
-         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig(ji) + (mjg(jj)-1) * jpiglo, wp ) / REAL( jpiglo * jpjglo, wp ) )
+      ! define unique value on each point of the inner global domain. z2d ranging from 0.05 to -0.05
+      !
+      ! WARNING: to keep compatibility with the trunk that was including periodocity into the input data, 
+      ! we must define z2d as bellow.
+      ! Once we decide to forget trunk compatibility, we must simply define z2d as:
+!!$      DO_2D( 0, 0, 0, 0 )
+!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
+!!$      END_2D
+      igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
+      igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
+      DO_2D( 0, 0, 0, 0 )
+         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
       END_2D
       !
@@ -71,5 +81,5 @@
       pssh(:,:) = z2d(:,:)                                                ! +/- 0.05 m
       !
-      DO jk = 1, jpk
+      DO_3D( 0, 0, 0, 0, 1, jpkm1 )
          zfact = REAL(jk-1,wp) / REAL(jpk-1,wp)   ! 0 to 1 to add a basic stratification
          ! temperature choosen to lead to ~50% ice at the beginning if rn_thres_sst = 0.5
@@ -80,5 +90,8 @@
          pu(:,:,jk) = z2d(:,:) *  0.1_wp * umask(:,:,jk)                  ! +/- 0.005  m/s
          pv(:,:,jk) = z2d(:,:) * 0.01_wp * vmask(:,:,jk)                  ! +/- 0.0005 m/s
-      ENDDO
+      END_3D
+      pts(:,:,jpk,:) = 0._wp
+      pu( :,:,jpk  ) = 0._wp
+      pv( :,:,jpk  ) = 0._wp
       !
       CALL lbc_lnk('usrdef_istate', pssh, 'T',  1. )            ! apply boundary conditions
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_nam.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_nam.F90	(revision 13727)
@@ -58,5 +58,5 @@
       !!
       NAMELIST/namusr_def/ nn_isize, nn_jsize, nn_ksize, nn_perio
-      NAMELIST/nammpp/ jpni, jpnj, ln_nnogather, ln_listonly
+      NAMELIST/nammpp/ jpni, jpnj, nn_hls, ln_nnogather, ln_listonly
       !!----------------------------------------------------------------------     
       !
@@ -77,6 +77,6 @@
 902      IF( ios >  0 )   CALL ctl_nam ( ios , 'nammpp in configuration namelist' )
 
-         kpi = ( -nn_isize - 2*nn_hls ) * jpni + 2*nn_hls
-         kpj = ( -nn_jsize - 2*nn_hls ) * jpnj + 2*nn_hls
+         kpi = -nn_isize * jpni
+         kpj = -nn_jsize * jpnj
       ELSE
          kpi = nn_isize
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_sbc.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_sbc.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_sbc.F90	(revision 13727)
@@ -99,4 +99,5 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d   ! 2D workspace
       INTEGER  ::   ji, jj
+      INTEGER  ::   igloi, igloj   ! to be removed in the future, see comment bellow
       !!---------------------------------------------------------------------
 #if defined key_si3
@@ -104,9 +105,18 @@
       !
       ! define unique value on each point. z2d ranging from 0.05 to -0.05
-      DO_2D_11_11
-         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( nimpp + ji - 1 + ( njmpp + jj - 2 ) * jpiglo, wp ) / REAL( jpiglo * jpjglo, wp ) )
+      !
+      ! WARNING: to keep compatibility with the trunk that was including periodocity into the input data, 
+      ! we must define z2d as bellow.
+      ! Once we decide to forget trunk compatibility, we must simply define z2d as:
+!!$      DO_2D( 0, 0, 0, 0 )
+!!$         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * Ni0glo, wp ) / REAL( Ni0glo * Nj0glo, wp ) )
+!!$      END_2D
+      igloi = Ni0glo + 2 * COUNT( (/ jperio == 1 .OR. jperio == 4 .OR. jperio == 6 .OR. jperio == 7 /) )
+      igloj = Nj0glo + 2 * COUNT( (/ jperio == 2 .OR. jperio == 7 /) ) + 1 * COUNT( (/ jperio >= 4 .AND. jperio <= 6 /) )
+      DO_2D( 0, 0, 0, 0 )
+         z2d(ji,jj) = 0.1 * ( 0.5 - REAL( mig0_oldcmp(ji) + (mjg0_oldcmp(jj)-1) * igloi, wp ) / REAL( igloi * igloj, wp ) )
       END_2D
-      utau_ice(:,:) = 0.1_wp +  z2d(:,:)
-      vtau_ice(:,:) = 0.1_wp +  z2d(:,:)
+      utau_ice(:,:) = 0.1_wp + z2d(:,:)
+      vtau_ice(:,:) = 0.1_wp + z2d(:,:)
 
       CALL lbc_lnk_multi( 'usrdef_sbc', utau_ice, 'U', -1., vtau_ice, 'V', -1. )
@@ -127,5 +137,4 @@
       REAL(wp), DIMENSION(:,:,:), INTENT(in)  ::   phi    ! ice thickness
       !!
-      REAL(wp) ::   zfr1, zfr2                 ! local variables
       REAL(wp), DIMENSION(jpi,jpj) ::   zsnw   ! snw distribution after wind blowing
       !!---------------------------------------------------------------------
@@ -162,15 +171,7 @@
       qsr_tot (:,:) = at_i_b(:,:) * qsr_oce(:,:) + SUM( a_i_b(:,:,:) * qsr_ice(:,:,:), dim=3 )
 
-      ! --- shortwave radiation transmitted below the surface (W/m2, see Grenfell Maykut 77) --- !
-      zfr1 = ( 0.18 * ( 1.0 - cldf_ice ) + 0.35 * cldf_ice )            ! transmission when hi>10cm
-      zfr2 = ( 0.82 * ( 1.0 - cldf_ice ) + 0.65 * cldf_ice )            ! zfr2 such that zfr1 + zfr2 to equal 1
-      !
-      WHERE    ( phs(:,:,:) <= 0._wp .AND. phi(:,:,:) <  0.1_wp )       ! linear decrease from hi=0 to 10cm  
-         qtr_ice_top(:,:,:) = qsr_ice(:,:,:) * ( zfr1 + zfr2 * ( 1._wp - phi(:,:,:) * 10._wp ) )
-      ELSEWHERE( phs(:,:,:) <= 0._wp .AND. phi(:,:,:) >= 0.1_wp )       ! constant (zfr1) when hi>10cm
-         qtr_ice_top(:,:,:) = qsr_ice(:,:,:) * zfr1
-      ELSEWHERE                                                         ! zero when hs>0
-         qtr_ice_top(:,:,:) = 0._wp 
-      END WHERE
+      ! --- shortwave radiation transmitted thru the surface scattering layer (W/m2) --- !
+      qtr_ice_top(:,:,:) = 0._wp
+
 #endif
 
Index: NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_zgr.F90	(revision 13724)
+++ NEMO/branches/2020/dev_12905_xios_restart/tests/BENCH/MY_SRC/usrdef_zgr.F90	(revision 13727)
@@ -192,8 +192,21 @@
       z2d(:,:) = REAL( jpkm1 , wp )          ! flat bottom
       !
-      IF( jperio == 3 .OR. jperio ==4 ) THEN   ! add a small island in the upper corners to avoid model instabilities...
-         z2d(mi0(       1):mi1(     3),mj0(jpjglo-2):mj1(jpjglo)) = 0.
-         z2d(mi0(jpiglo-2):mi1(jpiglo),mj0(jpjglo-2):mj1(jpjglo)) = 0.
-      ENDIF
+      !
+      ! BENCH should work without these 2 small islands on the 2 poles of the folding...
+      !   -> Comment out these lines if instabilities are too large...
+      !
+      
+!!$      IF( jperio == 3 .OR. jperio == 4 ) THEN   ! add a small island in the upper corners to avoid model instabilities...
+!!$         z2d(mi0(       nn_hls):mi1(                  nn_hls+2 ),mj0(jpjglo-nn_hls-1):mj1(jpjglo-nn_hls+1)) = 0.
+!!$         z2d(mi0(jpiglo-nn_hls):mi1(MIN(jpiglo,jpiglo-nn_hls+2)),mj0(jpjglo-nn_hls-1):mj1(jpjglo-nn_hls+1)) = 0.
+!!$         z2d(mi0(jpiglo/2     ):mi1(           jpiglo/2     +2 ),mj0(jpjglo-nn_hls-1):mj1(jpjglo-nn_hls+1)) = 0.
+!!$      ENDIF
+!!$      !
+!!$      IF( jperio == 5 .OR. jperio == 6 ) THEN   ! add a small island in the upper corners to avoid model instabilities...
+!!$         z2d(mi0(       nn_hls):mi1(       nn_hls+1),mj0(jpjglo-nn_hls):mj1(jpjglo-nn_hls+1)) = 0.
+!!$         z2d(mi0(jpiglo-nn_hls):mi1(jpiglo-nn_hls+1),mj0(jpjglo-nn_hls):mj1(jpjglo-nn_hls+1)) = 0.
+!!$         z2d(mi0(jpiglo/2     ):mi1(jpiglo/2     +1),mj0(jpjglo-nn_hls):mj1(jpjglo-nn_hls+1)) = 0.
+!!$      ENDIF
+
       !
       CALL lbc_lnk( 'usrdef_zgr', z2d, 'T', 1. )           ! set surrounding land to zero (here jperio=0 ==>> closed)
